OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.PixelRectangles.Histogram

Description

This module corresponds to a part of section 3.6.1 (Pixel Storage Modes) of the OpenGL 2.1 specs.

# Documentation

data Sink Source

Constructors

PassThrough |
Sink |

Instances

Eq Sink |
Ord Sink |
Show Sink |

histogram :: Proxy -> StateVar (Maybe (GLsizei, PixelInternalFormat, Sink))Source

data Reset Source

Constructors

NoReset |
Reset |

Instances

Eq Reset |
Ord Reset |
Show Reset |

getHistogram :: Reset -> PixelData a -> IO ()Source

resetHistogram :: IO ()Source

histogramRGBASizes :: Proxy -> GettableStateVar (Color4 GLsizei)Source

histogramLuminanceSize :: Proxy -> GettableStateVar GLsizei Source